#---------------------------------------------------------------------------
#
#   MWG - Behaviour of objects
#
#---------------------------------------------------------------------------

class ObstacleInfo(object):

	open = False       # is unlocked
	key = None         # item required to unlock
	removed = None     # tile to replace with when unlocked
	open_sound = None  # sound to play when opened

	def __init__(self, **kwds):
		self.__dict__.update(kwds)

open_obstacle = ObstacleInfo(open = True)

obstacle_table = {
	"gate_closed-gold": ObstacleInfo(key = "key-gold", removed = "gate_open",
		open_sound = "gate_open"),
	"gate_open": open_obstacle,
	"hedge_tunnel_ns": open_obstacle,
}

def obstacle_info(name):
	return obstacle_table.get(name)

	